
@echo off
if (%OS%) == (Windows_NT) setlocal
set JAVA_HOME=C:\Program Files\Oracle\jre\1.1.7

set args=
set argsresolver=
set addclasspath=
:loop
if (%1) == () goto end
if (%1) == (-classpath) goto incr_classpath
if (%1) == (-addclasspath) goto incr_classpath
if (%1) == (-resolver) goto set_resolver
   set args=%args% %1
   shift
   goto loop
:incr_classpath
   if (%addclasspath%) == () goto firsttime
   set addclasspath=%addclasspath%;%2
   shift
   shift
   goto loop
:set_resolver
  shift
  argsresolver=%1
  shift
  goto loop
:firsttime
   set addclasspath=%2
   shift
   shift
   goto loop
:end

set JRECLASSPATH="d:\oracle\ora81\lib\aurora_client.jar;d:\oracle\ora81\jlib\javax-ssl-1_1.jar;d:\oracle\ora81\jlib\jssl-1_1.jar;d:\oracle\ora81\lib\jasper.zip;d:\oracle\ora81\lib\vbjtools.jar;d:\oracle\ora81\lib\vbjorb.jar;d:\oracle\ora81\lib\vbjapp.jar;d:\oracle\ora81\javavm\lib\aurora.zip;d:\oracle\ora81\lib\xmlparserv2.jar;d:\oracle\ora81\jdbc\lib\classes111.zip"
 
if (%addclasspath%) == () goto no_user_class
set JRECLASSPATH=%JRECLASSPATH%;%addclasspath%
:no_user_class
set JRECLASSPATH=%JRECLASSPATH%;%CLASSPATH%
 
if (%argsresolver%) == () goto no_resolver
java -classpath %JRECLASSPATH% oracle.aurora.ejb.deployment.GenerateEjb %args% -resolver %argsresolver%
goto stop

:no_resolver
java -classpath %JRECLASSPATH% oracle.aurora.ejb.deployment.GenerateEjb %args%

:stop
if (%OS%) == (Windows_NT) endlocal
